ServletRequestAttributeListener (Servlet API Documentation)
Keywords: javax.servlet.ServletRequestAttributeListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletRequestAttributeListener

All Superinterfaces:
  java.util.EventListener

public interface ServletRequestAttributeListener
extends java.util.EventListener

A ServletRequestAttributeListener can be implemented by the developer interested in being notified of request attribute changes. Notifications will be generated while the request is within the scope of the web application in which the listener is registered. A request is defined as coming into scope when it is about to enter the first servlet or filter in each web application, as going out of scope when it exits the last servlet or the first filter in the chain.

Since:
  Servlet 2.4

Method Summary
`void` | `attributeAdded(ServletRequestAttributeEvent srae)` Notification that a new attribute was added to the servlet request.
`void` | `attributeRemoved(ServletRequestAttributeEvent srae)` Notification that an existing attribute has been removed from the servlet request.
`void` | `attributeReplaced(ServletRequestAttributeEvent srae)` Notification that an attribute was replaced on the servlet request.

Method Detail

### attributeAdded

    public void attributeAdded(ServletRequestAttributeEvent srae)

  Notification that a new attribute was added to the servlet request. Called after the attribute is added.

### attributeRemoved

    public void attributeRemoved(ServletRequestAttributeEvent srae)

  Notification that an existing attribute has been removed from the servlet request. Called after the attribute is removed.

### attributeReplaced

    public void attributeReplaced(ServletRequestAttributeEvent srae)

  Notification that an attribute was replaced on the servlet request. Called after the attribute is replaced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.